package com.caimei.www.controller.authorized.user;

import com.caimei.www.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 【机构】个人中心
 *
 * @author : Charles
 * @date : 2020/8/27
 */
@Controller
public class UserPageController extends BaseController {
    /** 我的采美 */
	private static final String DASHBOARD = "user-center/dashboard";
    /** 订单列表 */
	private static final String ORDER_LIST = "user-center/order/list";
    /** 订单详情 */
	private static final String ORDER_DETAIL = "user-center/order/detail";
    /** 运营人员列表 */
	private static final String OPERATION_LIST = "user-center/operation/list";
    /** 添加/编辑运营人员 */
	private static final String OPERATION_DETAIL = "user-center/operation/form";
    /** 维修列表 */
	private static final String REPAIR_LIST = "user-center/repair/list";
    /** 申请维修 */
	private static final String REPAIR_FORM = "user-center/repair/form";
    /** 申请维修 */
	private static final String REPAIR_ADDFORM = "user-center/repair/addform";
    /** 地址管理 */
	private static final String ADDRESS_LIST = "user-center/address/list";
    /** 添加地址 */
	private static final String ADDRESS_FORM = "user-center/address/form";
    /** 个人资料 */
	private static final String INFORMATION = "user-center/setting/information";
    /** 重置密码 */
	private static final String PASSWORD = "user-center/setting/password";
    /** 更换手机号 */
	private static final String PHONE = "user-center/setting/phone";
    /** 系统消息列表 */
	private static final String MESSAGE = "user-center/message/list";

    /** 我的采美 */
    @GetMapping("/user/dashboard.html")
    public String dashboard() {
        return DASHBOARD;
    }

    /** 订单列表 */
    @GetMapping("/user/order/list.html")
    public String orderList() {
        return ORDER_LIST;
    }

    /** 订单详情 */
    @GetMapping("/user/order/detail.html")
    public String orderDetail() {
        return ORDER_DETAIL;
    }

    /** 运营人员列表 */
    @GetMapping("/user/operation/list.html")
    public String operationList() {
        return OPERATION_LIST;
    }

    /** 添加/编辑运营人员 */
    @GetMapping("/user/operation/form.html")
    public String operationForm() {
        return OPERATION_DETAIL;
    }

    /** 维修列表 */
    @GetMapping("/user/repair/list.html")
    public String repairList() {
        return REPAIR_LIST;
    }

    /** 申请维修 */
    @GetMapping("/user/repair/form.html")
    public String repairForm() {
        return REPAIR_FORM;
    }

    /** 用户申请维修 */
    @GetMapping("/user/repair/addform.html")
    public String repairAddForm() {
        return REPAIR_ADDFORM;
    }

    /** 地址管理 */
    @GetMapping("/user/address/list.html")
    public String addressList() {
        return ADDRESS_LIST;
    }

    /** 添加地址 */
    @GetMapping("/user/address/form.html")
    public String addressForm() {
        return ADDRESS_FORM;
    }

    /** 资料 */
    @GetMapping("/user/setting/information.html")
    public String settingInformation() {
        return INFORMATION;
    }

    /** 重置密码 */
    @GetMapping("/user/setting/password.html")
    public String settingPassword() {
        return PASSWORD;
    }

    /** 更换手机号 */
    @GetMapping("/user/setting/phone.html")
    public String settingPhone() {
        return PHONE;
    }
    /** 消息列表 */
    @GetMapping("/user/message/list.html")
    public String settingMessage() {return MESSAGE;}



}
